<%
//BEGIN COPYRIGHT
//*************************************************************************
//
// IBM 
//	5724-L01, 5655-N53  Copyright International Business Machines Corp. 2007, 2009
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page import="java.util.*"%>
<%@ page import="com.ibm.ws.security.core.SecurityContext"%>
<%@ page import="com.ibm.ws.console.wbi.ceipme.CEIServerCommonForm"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<bean:define id="formBean" name="com.ibm.ws.console.wbi.ceipme.CEIServerCommonForm"
		type="com.ibm.ws.console.wbi.ceipme.CEIServerCommonForm"/>
<% 
	boolean ifShowLink = false; 
	if(SecurityContext.isSecurityEnabled()){
        if(request.isUserInRole("administrator") || request.isUserInRole("configurator")){
            ifShowLink = true;
        }
    }
    else{
    	ifShowLink = true;
    }
   	if(ifShowLink && formBean.isCeiConfigured()){
    	ifShowLink = true;
    }else{
    	ifShowLink = false;
    }
    
    if(ifShowLink){
%>


<TD VALIGN="top">
	<DIV id="additional.properties" class="main-category" style='margin-left:0.3em;'>                            
		<bean:message key="WPSCluster.ceiserver.additionalProperties.label"/>
    </DIV>                           
	<DIV id="child_additional.properties" class="main-category-container" style='margin-left:0.3em'>
	
		<% if(ifShowLink){
			String linkalias = "com.ibm.ws.console.wbi.webui.common.forwardCmd.do?forwardName=Ceipme.JAASAuthData.config.view&amp;securityEntityName=CommonEventInfrastructureJMSAuthAlias&amp;lastpage=WPSCluster.ceiserver.view&amp;linkType=CEI";
			String node = formBean.getNode();
			String server = formBean.getServer();			
			String cluster = formBean.getCluster();
			String remoteDest = formBean.getRemoteDest();
			
			if(node != null && node.length() > 0)
				node = "&amp;node="+node;
			else
				node = "";
			if(server != null && server.length() > 0)
				server = "&amp;server="+server;
			else
				server = "";
			if(cluster != null && cluster.length() > 0)
				cluster = "&amp;cluster="+cluster;
			else
				cluster = "";
			if(remoteDest != null && remoteDest.length() > 0)
				remoteDest = "&amp;remoteDest="+remoteDest;
			else
				remoteDest = "";
			linkalias = linkalias+server+node+cluster;
		%>
		<UL CLASS="main-child">
			<LI CLASS="nav-bullet" TITLE="<bean:message key="WPSCluster.ceiserver.additionalProp.JMSAuthAlias.description"/>">
				<a href=<%=linkalias%>>  
		           	<bean:message key="WPSCluster.ceiserver.additionalProp.JMSAuthAlias.displayName"/>                      
				</a> 
			</LI>  
		</UL>
		<%
			} 
		%>             
	</DIV> 
</TD>        
		<%
			} 
		%>             
       